## jupyter-client 6.1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/jupyter_client.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/jupyter_client.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/jupyter_client"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/jupyter_client"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinx>=1.3.6
sphinx_rtd_theme
sphinxcontrib_github_alt

## jupyter-client 4.4.0

=== debian/changelog ===
jupyter-client (4.4.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Mar 2017 20:31:01 +0100

jupyter-client (4.4.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Nov 2016 11:54:37 +0000

jupyter-client (4.4.0-1) experimental; urgency=medium

  * New upstream version.
  * Added sphinx' rtd theme to the build-deps.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 05 Sep 2016 10:48:33 +0200

jupyter-client (4.3.0-1) experimental; urgency=medium

  * Bumped standards-version up.
  * New upstream version.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 10 Jul 2016 13:49:13 +0200

jupyter-client (4.2.2-1) experimental; urgency=medium

  Team upload

  [ Julien Puydt ]
  * Initial release. (Closes: #800903)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julien Cristau ]
  * Use dh_install instead of PYBUILD_NAME
  * Update to 4.2.2
  * Add DPMT to Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Fri, 08 Apr 2016 12:44:27 +0200

=== debian/control ===
Source: jupyter-client
Maintainer: Julien Puydt <julien.puydt@laposte.net>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Standards-Version: 3.9.8
Homepage: https://github.com/jupyter/jupyter_client
Build-Depends: debhelper (>= 9),
               dh-python,
               ipython,
               ipython3,
               python-all,
               python-pytest,
               python-setuptools,
               python-sphinx,
               python-sphinx-rtd-theme,
               python-traitlets,
               python-zmq,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx-rtd-theme,
               python3-traitlets,
               python3-zmq
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-client.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jupyter-client.git

Package: python-jupyter-client
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Jupyter protocol client APIs (Python 2)
 This software component contains the reference implementation
 of the Jupyter protocol. It also provides client and kernel
 management APIs to work with kernels and the "jupyter kernelspec"
 entry point to install kernelspecs for use with Jupyter frontends.
 .
 This package installs the library for Python 2.

Package: python3-jupyter-client
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Jupyter protocol client APIs (Python 3)
 This software component contains the reference implementation
 of the Jupyter protocol. It also provides client and kernel
 management APIs to work with kernels and the "jupyter kernelspec"
 entry point to install kernelspecs for use with Jupyter frontends.
 .
 This package installs the library for Python 3.

Package: jupyter-client
Architecture: all
Section: utils
Depends: python3-jupyter-client (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Jupyter protocol client APIs (tools)
 This software component contains the reference implementation
 of the Jupyter protocol. It also provides client and kernel
 management APIs to work with kernels and the "jupyter kernelspec"
 entry point to install kernelspecs for use with Jupyter frontends.
 .
 This package contains the jupyter-kernelspec tool.

Package: python-jupyter-client-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Jupyter protocol client APIs (documentation)
 This software component contains the reference implementation
 of the Jupyter protocol. It also provides client and kernel
 management APIs to work with kernels and the "jupyter kernelspec"
 entry point to install kernelspecs for use with Jupyter frontends.
 .
 This package contains documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	@echo "Tests disabled to avoid circular dependencies"

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs debian/python-jupyter-client-doc/usr/share/doc/python-jupyter-client-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/jupyter-client-$1.tar.gz/ \
 https://github.com/jupyter/jupyter_client/tags .*/archive/(.*)\.tar\.gz

## jupyter-client 5.1.0

=== debian/changelog ===
jupyter-client (5.1.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.
  * Added a manpage for jupyter-run (help2man and elbow grease).
  * Bump d/watch version to 4.

  [ Gordon Ball ]
  * New upstream release
  * Updated to Standards-Version 4.1.0
  * Add jupyter-run to package descriptions in d/control
  * Updated debhelper compat level to 10
  * Add ${sphinxdoc:Built-Using} to documentation package
  * Add dependency on jupyter-core to jupyter-client package, to ensure
    that commands like kernelspec can be invoked as jupyter kernelspec
  * Add Testsuite: autopkgtest-pkg-python (only the autodep8 package-
    can-be-imported test is performed)
  * Add myself to uploaders

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 04 Sep 2017 02:31:30 +0200

=== debian/control ===
Source: jupyter-client
Maintainer: Julien Puydt <julien.puydt@laposte.net>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Gordon Ball <gordon@chronitis.net>
Section: python
Priority: optional
Standards-Version: 4.1.0
Homepage: https://github.com/jupyter/jupyter_client
Build-Depends: debhelper (>= 10),
               dh-python,
               ipython,
               ipython3,
               python-all,
               python-pytest,
               python-setuptools,
               python-sphinx,
               python-sphinx-rtd-theme,
               python-traitlets,
               python-zmq,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx-rtd-theme,
               python3-traitlets,
               python3-zmq
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-client.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jupyter-client.git
Testsuite: autopkgtest-pkg-python

Package: python-jupyter-client
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Jupyter protocol client APIs (Python 2)
 This software component contains the reference implementation
 of the Jupyter protocol. It also provides client and kernel
 management APIs to work with kernels, the "jupyter kernelspec"
 entry point to install kernelspecs for use with Jupyter frontends,
 and the "jupyter run" command to execute a script on a jupyter kernel.
 .
 This package installs the library for Python 2.

Package: python3-jupyter-client
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Jupyter protocol client APIs (Python 3)
 This software component contains the reference implementation
 of the Jupyter protocol. It also provides client and kernel
 management APIs to work with kernels, the "jupyter kernelspec"
 entry point to install kernelspecs for use with Jupyter frontends
 and the "jupyter run" command to execute a script on a jupyter kernel.
 .
 This package installs the library for Python 3.

Package: jupyter-client
Architecture: all
Section: utils
Depends: python3-jupyter-client (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         jupyter-core
Description: Jupyter protocol client APIs (tools)
 This software component contains the reference implementation
 of the Jupyter protocol. It also provides client and kernel
 management APIs to work with kernels, the "jupyter kernelspec"
 entry point to install kernelspecs for use with Jupyter frontends
 and the "jupyter run" command to execute a script on a jupyter kernel.
 .
 This package contains the jupyter-kernelspec and jupyter-run tools.

Package: python-jupyter-client-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Jupyter protocol client APIs (documentation)
 This software component contains the reference implementation
 of the Jupyter protocol. It also provides client and kernel
 management APIs to work with kernels, the "jupyter kernelspec"
 entry point to install kernelspecs for use with Jupyter frontends
 and the "jupyter run" command to execute a script on a jupyter kernel.
 .
 This package contains documentation.

## jupyter-client 5.2.2

=== debian/changelog ===
jupyter-client (5.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 19 Feb 2018 23:55:41 +0100

jupyter-client (5.2.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Put myself in uploaders and the team as maintainer like my other packages.
  * Refresh d/copyright.

  [ Gordon Ball ]
  * New upstream release.
  * Retire patch 0001-use-setuptools-for-everything; upstream now
    unconditionally imports setuptools.
  * Update to Standards-Version: 4.1.2
  * Install the upstream changelog.
  * Patch out use of sphinxcontrib_github_alt during documentation build.
  * Use python3 sphinx to build documentation.
  * Add a manpage for jupyter-kernel.

 -- Gordon Ball <gordon@chronitis.net>  Sat, 23 Dec 2017 11:39:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: jupyter-client
-Maintainer: Julien Puydt <julien.puydt@laposte.net>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Julien Puydt <julien.puydt@laposte.net>,
            Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/jupyter/jupyter_client
 Build-Depends: debhelper (>= 10),
                dh-python,
@@ -13,20 +13,19 @@
                python-all,
                python-pytest,
                python-setuptools,
-               python-sphinx,
-               python-sphinx-rtd-theme,
                python-traitlets,
                python-zmq,
                python3-all,
                python3-pytest,
                python3-setuptools,
+               python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-traitlets,
                python3-zmq
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-client.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jupyter-client.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-client.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-client
 Testsuite: autopkgtest-pkg-python
 
 Package: python-jupyter-client

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/jupyter-client-$1.tar.gz/ \
 https://github.com/jupyter/jupyter_client/tags .*/archive/(.*)\.tar\.gz

## jupyter-client 5.2.3

=== debian/changelog ===
jupyter-client (5.2.3-1) unstable; urgency=medium

  [ Gordon Ball ]
  * Delete d/.git-dpm; git-dpm tracking information is out of date and the
    repository has already been converted to patches-unapplied.
  * New upstream version 5.2.3
  * Set Rules-Requires-Root: no

  [ Julien Puydt ]
  * Bump std-ver to 4.1.4.
  * Use my debian.org mail address.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 02 May 2018 21:01:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: jupyter-client
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>,
+Uploaders: Julien Puydt <jpuydt@debian.org>,
            Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/jupyter/jupyter_client
 Build-Depends: debhelper (>= 10),
                dh-python,
@@ -27,6 +27,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-client.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-client
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-jupyter-client
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 	PYTHONPATH=. sphinx-build -b html docs debian/python-jupyter-client-doc/usr/share/doc/python-jupyter-client-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k docs/changelog.rst

## jupyter-client 5.2.4

=== debian/changelog ===
jupyter-client (5.2.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Gordon Ball ]
  * New upstream version 5.2.4
  * Update to Standards-Version 4.3.0

  [ Julien Puydt ]
  * Bump dh compat to 11.
  * Bump std-ver to 4.4.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 09 Jul 2019 18:40:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
            Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://github.com/jupyter/jupyter_client
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                ipython,
                ipython3,
@@ -22,8 +22,6 @@
                python3-sphinx-rtd-theme,
                python3-traitlets,
                python3-zmq
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
 Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-client.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-client
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html docs debian/python-jupyter-client-doc/usr/share/doc/python-jupyter-client-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-jupyter-client-doc/usr/share/doc/python-jupyter-client-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## jupyter-client 5.3.4

=== debian/changelog ===
jupyter-client (5.3.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Gordon Ball ]
  * New upstream version 5.3.4
  * Version runtime dependency on jupyter_core, as per setup.py

 -- Gordon Ball <gordon@chronitis.net>  Wed, 13 Nov 2019 16:21:58 +0000

jupyter-client (5.3.3-1) unstable; urgency=medium

  * New upstream version 5.3.3
  * Update debhelper compat level to 12

 -- Gordon Ball <gordon@chronitis.net>  Wed, 09 Oct 2019 18:08:40 +0000

jupyter-client (5.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Gordon Ball ]
  * New upstream version

 -- Gordon Ball <gordon@chronitis.net>  Wed, 25 Sep 2019 19:54:35 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
            Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/jupyter/jupyter_client
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                ipython,
                ipython3,
@@ -29,7 +29,7 @@
 
 Package: python-jupyter-client
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-jupyter-core (>= 4.6.0)
 Description: Jupyter protocol client APIs (Python 2)
  This software component contains the reference implementation
  of the Jupyter protocol. It also provides client and kernel
@@ -41,7 +41,7 @@
 
 Package: python3-jupyter-client
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-jupyter-core (>= 4.6.0)
 Description: Jupyter protocol client APIs (Python 3)
  This software component contains the reference implementation
  of the Jupyter protocol. It also provides client and kernel

## jupyter-client 6.1.2

=== debian/changelog ===
jupyter-client (6.1.2-1) unstable; urgency=medium

  * New upstream version 6.1.2

 -- Gordon Ball <gordon@chronitis.net>  Wed, 01 Apr 2020 18:00:34 +0000

jupyter-client (6.1.0-1) unstable; urgency=medium

  * Run the test suite as an autopkgtest
  * New upstream version 6.1.0
  * Rebase patches

 -- Gordon Ball <gordon@chronitis.net>  Fri, 20 Mar 2020 07:56:28 +0000

jupyter-client (6.0.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release 6.0.0.
  * Bump std-vers to 4.5.0.

  [ Gordon Ball ]
  * Python 2.7 support was dropped upstream by this version, so drop package
    python-jupyter-client accordingly (Closes: #936772)

  [ Julien Puydt ]
  * Add patch to fix a syntax warning (Closes: #948355).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 04 Mar 2020 11:05:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,11 @@
            Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/jupyter/jupyter_client
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               ipython,
                ipython3,
-               python-all,
-               python-pytest,
-               python-setuptools,
-               python-traitlets,
-               python-zmq,
                python3-all,
                python3-pytest,
                python3-setuptools,
@@ -26,18 +20,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-client
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-
-Package: python-jupyter-client
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-jupyter-core (>= 4.6.0)
-Description: Jupyter protocol client APIs (Python 2)
- This software component contains the reference implementation
- of the Jupyter protocol. It also provides client and kernel
- management APIs to work with kernels, the "jupyter kernelspec"
- entry point to install kernelspecs for use with Jupyter frontends,
- and the "jupyter run" command to execute a script on a jupyter kernel.
- .
- This package installs the library for Python 2.
 
 Package: python3-jupyter-client
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 	@echo "Tests disabled to avoid circular dependencies"

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP pytest-3 jupyter_client
Depends: @, python3-pytest, python3-mock, python3-ipykernel, python3-ipython, python3-sphinx

## jupyter-client 6.1.6

=== debian/changelog ===
jupyter-client (6.1.6-1) unstable; urgency=medium

  * New upstream version 6.1.6
  * Patch out (test) dependency on async_generator - this is a backport only
    needed for python 3.5, which is not targeted here.
  * Add build-depends, test-depends on python3-pytest-asyncio

 -- Gordon Ball <gordon@chronitis.net>  Wed, 15 Jul 2020 20:12:43 +0000

jupyter-client (6.1.5-2) unstable; urgency=medium

  * Allow stderr in the autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Mon, 13 Jul 2020 17:29:06 +0000

jupyter-client (6.1.5-1) unstable; urgency=medium

  * New upstream version 6.1.5

 -- Gordon Ball <gordon@chronitis.net>  Sun, 05 Jul 2020 10:52:33 +0000

jupyter-client (6.1.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gordon Ball ]
  * New upstream version 6.1.3

 -- Gordon Ball <gordon@chronitis.net>  Fri, 24 Apr 2020 19:41:43 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                ipython3,
                python3-all,
                python3-pytest,
+               python3-pytest-asyncio,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,

## jupyter-client 6.1.11

=== debian/changelog ===
jupyter-client (6.1.11-2) unstable; urgency=medium

  [ Julien Puydt ]
  * Bump standards-version to 4.5.1.
  * Bump dh compat to 13.

  [ Gordon Ball ]
  * Patch deprecated syntax causing a SyntaxWarning on install

 -- Gordon Ball <gordon@chronitis.net>  Mon, 01 Feb 2021 18:39:06 +0000

jupyter-client (6.1.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * d/watch: remove unnecessary filenamemangle
  * New upstream version 6.1.11

 -- Gordon Ball <gordon@chronitis.net>  Sun, 10 Jan 2021 17:34:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: jupyter-client
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>,
            Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/jupyter/jupyter_client
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                ipython3,
                python3-all,
@@ -17,8 +17,8 @@
                python3-sphinx-rtd-theme,
                python3-traitlets,
                python3-zmq
-Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-client.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-client
+Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-client.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-client
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP pytest-3 jupyter_client
Depends: @, python3-pytest, python3-pytest-asyncio, python3-mock, python3-ipykernel, python3-ipython, python3-sphinx
Restrictions: allow-stderr

## jupyter-client 7.0.6

=== debian/changelog ===
jupyter-client (7.0.6-2) unstable; urgency=medium

  * Add breaks against ipykernel < 6, nbconvert < 6, jupyter-console < 6.4.0-3

 -- Gordon Ball <gordon@chronitis.net>  Fri, 12 Nov 2021 18:52:03 +0000

jupyter-client (7.0.6-1) unstable; urgency=medium

  * d/watch: allow v prefix for tags
  * New upstream version 7.0.6
  * Rebase patches
  * d/rules: update CHANGELOG location
  * d/control: add b-d on nest-asyncio, tornado
  * d/tests/control: requires ipykernel >= 6 for test
  * d/control: Standards-Version: 4.6.0

 -- Gordon Ball <gordon@chronitis.net>  Sat, 06 Nov 2021 19:27:24 +0000

jupyter-client (6.1.12-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Fix d/watch.

  [ Gordon Ball ]
  * New upstream version 6.1.12
  * Rebase patches, drop deprecated syntax patch (applied upstream)

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 18:34:37 +0000

## jupyter-client 7.1.2

=== requirements.txt ===
entrypoints
jupyter_core>=4.6.0
nest-asyncio>=1.5
python-dateutil>=2.1
pyzmq>=13
tornado>=4.1
traitlets

=== debian/changelog ===
jupyter-client (7.1.2-1) unstable; urgency=medium

  * New upstream version 7.1.2

 -- Gordon Ball <gordon@chronitis.net>  Tue, 25 Jan 2022 08:55:03 +0000

jupyter-client (7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1

 -- Gordon Ball <gordon@chronitis.net>  Mon, 17 Jan 2022 16:38:04 +0000

jupyter-client (7.1.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 7.1.0

  [ Julien Puydt ]
  * Uploading, since it seems to give different results with
  dask.distributed.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 Dec 2021 08:17:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/jupyter/jupyter_client
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -12,11 +12,13 @@
                python3-all,
                python3-pytest,
                python3-pytest-asyncio,
+               python3-nest-asyncio,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
+               python3-tornado,
                python3-traitlets,
-               python3-zmq
+               python3-zmq,
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-client.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-client
 Testsuite: autopkgtest-pkg-python
@@ -25,6 +27,9 @@
 Package: python3-jupyter-client
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-jupyter-core (>= 4.6.0)
+Breaks: python3-ipykernel (<< 6),
+        python3-jupyter-console (<< 6.4.0-3~),
+        python3-nbconvert (<< 6),
 Description: Jupyter protocol client APIs (Python 3)
  This software component contains the reference implementation
  of the Jupyter protocol. It also provides client and kernel

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,4 @@
 endif
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k docs/changelog.rst
+	dh_installchangelogs -k CHANGELOG.md

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP pytest-3 jupyter_client
Depends: @, python3-pytest, python3-pytest-asyncio, python3-mock, python3-ipykernel (>= 6), python3-ipython, python3-sphinx
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/jupyter_client/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## jupyter-client 7.3.1

=== debian/changelog ===
jupyter-client (7.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 14 May 2022 10:36:54 +0200

jupyter-client (7.3.0-3) unstable; urgency=medium

  * Add version dependency on python3-pytest-asyncio also in
  d/tests/control (Closes: #1010822).
  * Add a patch to avoid a pytest warning turning into an error.
  * Add a dep on python3-pytest-timeout.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 11 May 2022 18:19:33 +0200

jupyter-client (7.3.0-2) unstable; urgency=medium

  * Add version dependency on python3-pytest-asyncio, because CI
  fails.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 04 May 2022 14:00:01 +0200

jupyter-client (7.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update b-deps.
  * Checked dask.distributed builds with this (Closes: #1000271).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 May 2022 22:39:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: jupyter-client
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Julien Puydt <jpuydt@debian.org>,
-           Gordon Ball <gordon@chronitis.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jupyter/jupyter_client
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                ipython3,
                python3-all,
-               python3-pytest,
-               python3-pytest-asyncio,
+               python3-entrypoints,
+               python3-jupyter-core,
+               python3-mypy <!nocheck>,
+               python3-myst-parser,
                python3-nest-asyncio,
+               python3-pytest <!nocheck>,
+               python3-pytest-asyncio (>= 0.18.0) <!nocheck>,
+               python3-pytest-timeout <!nocheck>,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-tornado,
                python3-traitlets,
-               python3-zmq,
+               python3-zmq
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-client.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-client
 Testsuite: autopkgtest-pkg-python
@@ -26,10 +30,10 @@
 
 Package: python3-jupyter-client
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-jupyter-core (>= 4.6.0)
+Depends: python3-jupyter-core (>= 4.6.0), ${misc:Depends}, ${python3:Depends}
 Breaks: python3-ipykernel (<< 6),
         python3-jupyter-console (<< 6.4.0-3~),
-        python3-nbconvert (<< 6),
+        python3-nbconvert (<< 6)
 Description: Jupyter protocol client APIs (Python 3)
  This software component contains the reference implementation
  of the Jupyter protocol. It also provides client and kernel
@@ -42,10 +46,10 @@
 Package: jupyter-client
 Architecture: all
 Section: utils
-Depends: python3-jupyter-client (= ${binary:Version}),
+Depends: jupyter-core,
+         python3-jupyter-client (= ${binary:Version}),
          ${misc:Depends},
-         ${python3:Depends},
-         jupyter-core
+         ${python3:Depends}
 Description: Jupyter protocol client APIs (tools)
  This software component contains the reference implementation
  of the Jupyter protocol. It also provides client and kernel

## jupyter-client 7.3.4

=== debian/changelog ===
jupyter-client (7.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add missing build-depends.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 09 Jun 2022 17:34:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                ipython3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-entrypoints,
+               python3-hatchling <!nocheck>,
                python3-jupyter-core,
                python3-mypy <!nocheck>,
                python3-myst-parser,

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP pytest-3 jupyter_client
Depends: python3-ipykernel (>= 6),
         python3-ipython,
         python3-mock,
         python3-pytest,
         python3-pytest-asyncio (>= 0.18.0),
         python3-pytest-timeout,
         python3-sphinx,
         @
Restrictions: allow-stderr

## jupyter-client 7.4.9

=== debian/changelog ===
jupyter-client (7.4.9-2ubuntu1) noble; urgency=medium

  * d/p/remove-deprecated-utcnow.patch: remove deprecated utcnow()
  * d/p/ignore-datetime-warnings.patch: with python 3.12, some datetime
    functions emit a DeprecationWarning. Ignore those for now.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 20 Feb 2024 10:21:18 -0300

jupyter-client (7.4.9-2) unstable; urgency=medium

  * Team upload.
  * Add missing build-dependency (python3-dateutil)

 -- Julian Gilbey <jdg@debian.org>  Sun, 15 Jan 2023 21:44:40 +0000

jupyter-client (7.4.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Autopkgtest tests with all python versions (closes: #1012493)
  * Update d/copyright file
  * Remove autopkgtest-pkg-python testsuite (it only runs superficial
    tests)
  * Use dh-sequence-* in build-depends
  * Fix some lintian warnings

 -- Julian Gilbey <jdg@debian.org>  Sun, 15 Jan 2023 10:54:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: jupyter-client
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
 Standards-Version: 4.6.1
 Homepage: https://github.com/jupyter/jupyter_client
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                ipython3,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-dateutil,
                python3-entrypoints,
                python3-hatchling <!nocheck>,
                python3-jupyter-core,
@@ -27,7 +30,6 @@
                python3-zmq
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-client.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-client
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-jupyter-client
@@ -65,7 +67,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: Jupyter protocol client APIs (documentation)
  This software component contains the reference implementation
  of the Jupyter protocol. It also provides client and kernel

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,10 @@
-Test-Command: env HOME=$AUTOPKGTEST_TMP pytest-3 jupyter_client
-Depends: python3-ipykernel (>= 6),
+Test-Command: set -e
+ ; for py in $(py3versions -s)
+ ; do echo "Testing with $py:"
+ ; env HOME=$AUTOPKGTEST_TMP $py -m pytest jupyter_client
+ ; done
+Depends: python3-all,
+         python3-ipykernel (>= 6),
          python3-ipython,
          python3-mock,
          python3-pytest,

## jupyter-client 8.6.2

=== debian/changelog ===
jupyter-client (8.6.2-3) unstable; urgency=medium

  * Team upload
  * Suggest -doc package in python3- package, and vice versa
  * Use psutil for determining network interfaces and addresses
  * Autopkgtest needs to depend on net-tools for /sbin/ifconfig on Ubuntu
    (closes: #1078713)

 -- Julian Gilbey <jdg@debian.org>  Thu, 15 Aug 2024 21:50:16 +0100

jupyter-client (8.6.2-2) unstable; urgency=medium

  * Team upload
  * Improve watchfile so downloaded source has sensible filename

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 Aug 2024 12:39:12 +0100

jupyter-client (8.6.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.6.2

  [ Gordon Ball ]
  * Dependencies:
    + drop python3-nest-asyncio (no longer required)
    + drop python3-sphinx-rtd-theme (docs)
    + add python3-sphinx-autodoc-typehints, python3-pydata-sphinx-theme (docs)

  [ Matthias Klose ]
  * Disable the intersphinx extension for the build, accesses the network
    for the build.

  [ Julien Puydt ]
  * Drop dep on entrypoints.
  * Fix build sources after successful build (Closes: #1045762).

  [ Julian Gilbey ]
  * Depend on pytest-jupyter for tests
  * Update autopkgtest script to work with newer jupyter-core, and use
    Spyder-based mechanism for running tests multiple times if needed
  * Use sphinxcontrib-github-alt for documentation build (now packaged)
  * Move documentation to /usr/share/doc/python3-jupyter-client
  * Use local intersphinx to map to ipython docs

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 Aug 2024 12:39:00 +0100
